#
# spec file for package python-pluginbase
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pluginbase
Version:        1.0.1
Release:        1.11
Summary:        Module for the development of flexible plugin systems
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/mitsuhiko/pluginbase
Source:         https://files.pythonhosted.org/packages/source/p/pluginbase/pluginbase-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
PluginBase is a module for Python that enables the development of
flexible plugin systems.

%prep
%setup -q -n pluginbase-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
cd tests
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Aug 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 1.0.1
  * Add a Pipfile with pytest and some scripts
  * Update the setup.py to be dynamic
  * Move the README file to RST for PyPi
  * Bump the version to 1.0.1
  * Remove old versions from setup.py
  * Remove old versions from travis.yml
  * Remove deprecated tests
  * Remove deprecated yield_fixture
  * Add python 3.8 and 3.9 support
* Tue May 26 2020 Thomas Schraitle <thomas.schraitle@suse.com> - 1.0.0
- First initial release 1.0.0
  (based on Martin Herkt's work)
